Index: trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs	(revision 80)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs	(revision 81)
@@ -2881,98 +2516,106 @@
         /// <param name="e"></param>
         private void tabMenu_DrawItem(object sender, DrawItemEventArgs e)
         {
-            //対象のTabControlを取得
-            TabControl tab = (TabControl)sender;
-            //タブページのテキストを取得
-            string txt = tab.TabPages[e.Index].Text;
-
-            //タブのテキストと背景を描画するためのブラシを決定する
             Brush foreBrush = null;
             Brush backBrush = null;
-            // タブの番号取得
-            int iMenuIndex = MenuTabName[tab.TabPages[e.Index].Name];
-
-            switch (iMenuIndex)
+            try
             {
-                case (int)TabNameEnum.BusinessMessage:
-                    // 秘書からの連絡
-                    backBrush = new SolidBrush(Color.DarkMagenta);
-                    foreBrush = Brushes.Gold;
-                    break;
-                case (int)TabNameEnum.MessageBoard:
-                    // 社内掲示板
-                    backBrush = new SolidBrush(Color.Red);
-                    foreBrush = Brushes.White;
-                    break;
-                case (int)TabNameEnum.DocumentApproval:
-                    // 承認処理
-                    backBrush = new SolidBrush(Color.Gold);
-                    foreBrush = Brushes.Black;
-                    break;
+                //対象のTabControlを取得
+                TabControl tab = (TabControl)sender;
+                //タブページのテキストを取得
+                string txt = tab.TabPages[e.Index].Text;
 
-                case (int)TabNameEnum.SalesInProjects:
+                //タブのテキストと背景を描画するためのブラシを決定する
+                // タブの番号取得
+                int iMenuIndex = MenuTabName[tab.TabPages[e.Index].Name];
+
+                switch (iMenuIndex)
+                {
+                    case (int)TabNameEnum.BusinessMessage:
+                        // 秘書からの連絡
+                        backBrush = new SolidBrush(Color.DarkMagenta);
+                        foreBrush = Brushes.Gold;
+                        break;
+                    case (int)TabNameEnum.MessageBoard:
+                        // 社内掲示板
+                        backBrush = new SolidBrush(Color.Red);
+                        foreBrush = Brushes.White;
+                        break;
+                    case (int)TabNameEnum.ConstructApproval:
+                    case (int)TabNameEnum.PersonApproval:
+                        // 承認処理
+                        backBrush = new SolidBrush(Color.Gold);
+                        foreBrush = Brushes.Black;
+                        break;
+
+                    case (int)TabNameEnum.SalesInProjects:
                     // 工事案件
-                case (int)TabNameEnum.Tenders:
+                    case (int)TabNameEnum.Tenders:
                     // 入札案件
-                case (int)TabNameEnum.BudgetUpProjects:
+                    case (int)TabNameEnum.BudgetUpProjects:
                     // 予算取り案件
-                case (int)TabNameEnum.ConstructionProjects:
+                    case (int)TabNameEnum.ConstructionProjects:
                     // 受注案件
-                case (int)TabNameEnum.FluctuationProjects:
+                    case (int)TabNameEnum.FluctuationProjects:
                     // 増減工事案件
-                case (int)TabNameEnum.NonOrders:
+                    case (int)TabNameEnum.NonOrders:
                     // 非受注工事
-                case (int)TabNameEnum.CompletionOfConstruction:
-                    // 完了工事
-                    backBrush = new SolidBrush(tab.TabPages[e.Index].BackColor);
-                    foreBrush = Brushes.White;
-                    break;
+                    case (int)TabNameEnum.CompletionOfConstruction:
+                        // 完了工事
+                        backBrush = new SolidBrush(tab.TabPages[e.Index].BackColor);
+                        foreBrush = Brushes.White;
+                        break;
 
-                case (int)TabNameEnum.ActionSchedule:
-                    // 行動予定
-                    backBrush = new SolidBrush(Color.Yellow);
-                    foreBrush = Brushes.Black;
-                    break;
-                case (int)TabNameEnum.StaffAssignment:
-                    // 人員配置
-                    backBrush = new SolidBrush(Color.Orange);
-                    foreBrush = Brushes.Black;
-                    break;
-                case (int)TabNameEnum.SalesGraph:
-                    // 売上グラフ
-                    backBrush = new SolidBrush(Color.DarkOrange);
-                    foreBrush = Brushes.Black;
-                    break;
+                    case (int)TabNameEnum.ActionSchedule:
+                        // 行動予定
+                        backBrush = new SolidBrush(Color.Yellow);
+                        foreBrush = Brushes.Black;
+                        break;
+                    case (int)TabNameEnum.StaffAssignment:
+                        // 人員配置
+                        backBrush = new SolidBrush(Color.Orange);
+                        foreBrush = Brushes.Black;
+                        break;
+                    case (int)TabNameEnum.SalesGraph:
+                        // 売上グラフ
+                        backBrush = new SolidBrush(Color.DarkOrange);
+                        foreBrush = Brushes.Black;
+                        break;
 
-                case (int)TabNameEnum.OrderMenu:
+                    case (int)TabNameEnum.OrderMenu:
                     // 受注管理
-                case (int)TabNameEnum.ConstructionMenu:
+                    case (int)TabNameEnum.ConstructionMenu:
                     // 施工管理
-                case (int)TabNameEnum.Affairs:
+                    case (int)TabNameEnum.Affairs:
                     // 総務管理
-                case (int)TabNameEnum.DocumentsToBeBubmitted:
-                    // 各種提出書類
-                    backBrush = new SolidBrush(tab.TabPages[e.Index].BackColor);
-                    foreBrush = Brushes.Black;
-                    break;
+                    case (int)TabNameEnum.DocumentsToBeBubmitted:
+                        // 各種提出書類
+                        backBrush = new SolidBrush(tab.TabPages[e.Index].BackColor);
+                        foreBrush = Brushes.Black;
+                        break;
 
-                case (int)TabNameEnum.MentenanceMenu:
-                    // マスタ
-                    backBrush = new SolidBrush(tab.TabPages[e.Index].BackColor);
-                    foreBrush = new SolidBrush(CommonMotions.GetComplementaryColor(tab.TabPages[e.Index].BackColor));
-                    break;
-            }
+                    case (int)TabNameEnum.MentenanceMenu:
+                        // マスタ
+                        backBrush = new SolidBrush(tab.TabPages[e.Index].BackColor);
+                        foreBrush = new SolidBrush(CommonMotions.GetComplementaryColor(tab.TabPages[e.Index].BackColor));
+                        break;
+                }
 
-            //StringFormatを作成
-            StringFormat sf = new StringFormat();
-            //中央に表示する
-            sf.Alignment = StringAlignment.Center;
-            sf.LineAlignment = StringAlignment.Center;
+                //StringFormatを作成
+                StringFormat sf = new StringFormat();
+                //中央に表示する
+                sf.Alignment = StringAlignment.Center;
+                sf.LineAlignment = StringAlignment.Center;
 
-            //背景の描画
-            e.Graphics.FillRectangle(backBrush, e.Bounds);
-            //Textの描画
-            e.Graphics.DrawString(txt, e.Font, foreBrush, e.Bounds, sf);
+                //背景の描画
+                e.Graphics.FillRectangle(backBrush, e.Bounds);
+                //Textの描画
+                e.Graphics.DrawString(txt, e.Font, foreBrush, e.Bounds, sf);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
         }
         #endregion
 
@@ -3005,6 +2648,5 @@
             DispNonOrders();
         }
         #endregion
-
     }
 }
